Name:                jdbi
Version:             2.63.1
Release:             1
Summary:             A SQL convenience library for Java
License:             ASL 2.0
URL:                 http://jdbi.org/
Source0:             https://github.com/brianm/jdbi/archive/jdbi-%{version}.tar.gz
BuildRequires:       maven-local mvn(cglib:cglib) mvn(com.fasterxml:classmate)
BuildRequires:       mvn(com.google.code.findbugs:annotations) mvn(log4j:log4j:1.2.17)
BuildRequires:       mvn(org.antlr:antlr-runtime) mvn(org.antlr:stringtemplate)
BuildRequires:       mvn(org.antlr:antlr3-maven-plugin) mvn(org.slf4j:slf4j-api)
BuildRequires:       mvn(org.springframework:spring-beans) mvn(org.springframework:spring-core)
BuildRequires:       mvn(org.springframework:spring-jdbc) mvn(org.springframework:spring-tx)
%if 0
BuildRequires:       mvn(com.google.guava:guava) mvn(com.h2database:h2) mvn(junit:junit)
BuildRequires:       mvn(org.apache.commons:commons-jexl) mvn(org.apache.derby:derby)
BuildRequires:       mvn(org.easymock:easymock) mvn(org.hamcrest:hamcrest-core)
BuildRequires:       mvn(org.springframework:spring-mock) mvn(postgresql:postgresql)
%endif
BuildArch:           noarch
%description
jDBI is designed to provide convenient tabular data access in
Java. It uses the Java collections framework for query
results, provides a convenient means of externalizing SQL
statements, and provides named parameter support for any database
being used.

%package javadoc
Summary:             Javadoc for jdbi
%description javadoc
This package contains javadoc for jdbi.

%prep
%setup -q -n jdbi-jdbi-%{version}
find . -name "*.class" -delete
find . -name "*.jar" -type f -delete
%pom_remove_parent
%pom_remove_plugin :maven-shade-plugin
%pom_xpath_remove "pom:profiles"
%pom_change_dep log4j: ::1.2.17
%pom_change_dep org.springframework:spring org.springframework:spring-beans
%pom_add_dep org.springframework:spring-core:'${dep.spring.version}'
%pom_add_dep org.springframework:spring-jdbc:'${dep.spring.version}'
%pom_add_dep org.springframework:spring-tx:'${dep.spring.version}'
%pom_xpath_remove "pom:dependency[pom:scope = 'test']"
%mvn_file : jdbi

%build
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc CHANGES_PLANNED_FOR_3_0 CONTRIBUTORS README.md RELEASE_NOTES
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Thu Aug 20 2020 yaokai <yaokai13@huawei.com> - 2.63.1-1
- Package init
